Bug 138482 - Xnest segfaults
Summary: Xnest segfaults
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-11-09 15:27 UTC by Enrico Scholz
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 16:03:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2004-11-09 15:27:35 UTC
Description of problem:

| $ Xnest -ac :30
| Segmentation fault

after executing 'DISPLAY=:30 firefox'. Starting 'xterm' succeeds but a
segfault happens after exiting the xterm.

Backtrace is

| Program received signal SIGSEGV, Segmentation fault.
| 0x083e3543 in ?? ()
| (gdb) bt
| #0  0x083e3543 in ?? ()
| #1  0x080d332b in DamageExtensionInit ()
| #2  0x080d6693 in DamageDestroy ()
| #3  0x0813e7e8 in miWindowExposures ()
| #4  0x080948ca in MapWindow ()
| #5  0x08094bae in InitRootWindow ()
| #6  0x0808feaa in main ()



Version-Release number of selected component (if applicable):

xorg-x11-6.8.1-12


How reproducible:

100%

Comment 2 Mike A. Harris 2005-03-15 15:29:02 UTC
Does this problem still occur in xorg-x11-6.8.2-10 or later?

Comment 3 tjfalcone 2005-03-16 14:10:27 UTC
(In reply to comment #2)
> Does this problem still occur in xorg-x11-6.8.2-10 or later?

I don't know, as the latest (according to yum update) version available to FC3
comes from xorg-x11-Xnest-6.8.1-12.FC3.21.  Is there an update available somewhere 
that will fix the problem?  The current Xnest segfaults immediately when started;
even the command 

     $ Xnest :1

fails instantly.


Comment 4 Mike A. Harris 2005-03-22 16:03:50 UTC
Bug confirmed fixed in X.Org 6.8.2 by someone else.

Setting status to "RAWHIDE".   If the problem persists after you upgrade
to 6.8.2, please reopen.


Note You need to log in before you can comment on or make changes to this bug.